package com.jxdinfo.hussar.core.config;

package .tmp;

import com.jxdinfo.hussar.core.config.HussarConfig;
import java.util.List;
import javax.servlet.Servlet;
import org.apache.catalina.Context;
import org.apache.catalina.startup.Tomcat;
import org.apache.coyote.UpgradeProtocol;
import org.apache.tomcat.util.descriptor.web.SecurityCollection;
import org.apache.tomcat.util.descriptor.web.SecurityConstraint;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnClass;
import org.springframework.boot.autoconfigure.condition.ConditionalOnWebApplication;
import org.springframework.boot.web.embedded.tomcat.TomcatContextCustomizer;
import org.springframework.boot.web.embedded.tomcat.TomcatServletWebServerFactory;
import org.springframework.boot.web.server.WebServerFactoryCustomizer;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.http.HttpMethod;

@Configuration(proxyBeanMethods = false)
@ConditionalOnWebApplication(type = ConditionalOnWebApplication.Type.SERVLET)
@ConditionalOnClass({Servlet.class, Tomcat.class, UpgradeProtocol.class})
public class TomcatWebServerFactoryConfig {
  @Autowired
  private HussarConfig hussarConfig;
  
  @Bean
  @ConditionalOnClass({Servlet.class, Tomcat.class, UpgradeProtocol.class})
  WebServerFactoryCustomizer<TomcatServletWebServerFactory> acoolyWebServerFactoryCustomizer() {
    return paramTomcatServletWebServerFactory -> paramTomcatServletWebServerFactory.addContextCustomizers(new TomcatContextCustomizer[] { () });
  }
}
